petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESNewtonTRPreCheck

Called before the step has been determined in SNESNEWTONTR

### Synopsis

    #include "petscsnes.h"
    static PetscErrorCode SNESNewtonTRPreCheck(SNES snes,Vec X,Vec Y,PetscBool *changed_Y)

Logically Collective on snes

### Input Parameters

| snes | - the solver
| X | - The last solution
| Y | - The step direction

### Output Parameters

changed_Y -Indicator that the step direction Y has been changed.

### See Also

SNESNewtonTRSetPreCheck(), SNESNewtonTRGetPreCheck()

### Level

developer

### Location

src/snes/impls/tr/tr.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages